Queue stored screenshots
curl --request POST \
--url https://api.scrinly.com/render/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"https://example.com",
"https://example.org"
],
"screenshot": true,
"store": true,
"storage_path": "batch"
}
'import requests
url = "https://api.scrinly.com/render/batch"
payload = {
"urls": ["https://example.com", "https://example.org"],
"screenshot": True,
"store": True,
"storage_path": "batch"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['https://example.com', 'https://example.org'],
screenshot: true,
store: true,
storage_path: 'batch'
})
};
fetch('https://api.scrinly.com/render/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/render/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'urls' => [
'https://example.com',
'https://example.org'
],
'screenshot' => true,
'store' => true,
'storage_path' => 'batch'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/render/batch"
payload := strings.NewReader("{\n \"urls\": [\n \"https://example.com\",\n \"https://example.org\"\n ],\n \"screenshot\": true,\n \"store\": true,\n \"storage_path\": \"batch\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scrinly.com/render/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"urls\": [\n \"https://example.com\",\n \"https://example.org\"\n ],\n \"screenshot\": true,\n \"store\": true,\n \"storage_path\": \"batch\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/render/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"urls\": [\n \"https://example.com\",\n \"https://example.org\"\n ],\n \"screenshot\": true,\n \"store\": true,\n \"storage_path\": \"batch\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"total": 123,
"accepted": 123,
"failed": 123,
"results": [
{
"index": 123,
"success": true,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusUrl": "<string>",
"error": {
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
},
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": true,
"total": 123,
"accepted": 123,
"failed": 123,
"results": [
{
"index": 123,
"success": true,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusUrl": "<string>",
"error": {
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
},
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Batches
Queue stored screenshots
Accepts up to 100 URLs. Public batches are screenshot-only and reserve one credit per accepted item.
POST
/
render
/
batch
Queue stored screenshots
curl --request POST \
--url https://api.scrinly.com/render/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"https://example.com",
"https://example.org"
],
"screenshot": true,
"store": true,
"storage_path": "batch"
}
'import requests
url = "https://api.scrinly.com/render/batch"
payload = {
"urls": ["https://example.com", "https://example.org"],
"screenshot": True,
"store": True,
"storage_path": "batch"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['https://example.com', 'https://example.org'],
screenshot: true,
store: true,
storage_path: 'batch'
})
};
fetch('https://api.scrinly.com/render/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/render/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'urls' => [
'https://example.com',
'https://example.org'
],
'screenshot' => true,
'store' => true,
'storage_path' => 'batch'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/render/batch"
payload := strings.NewReader("{\n \"urls\": [\n \"https://example.com\",\n \"https://example.org\"\n ],\n \"screenshot\": true,\n \"store\": true,\n \"storage_path\": \"batch\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scrinly.com/render/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"urls\": [\n \"https://example.com\",\n \"https://example.org\"\n ],\n \"screenshot\": true,\n \"store\": true,\n \"storage_path\": \"batch\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/render/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"urls\": [\n \"https://example.com\",\n \"https://example.org\"\n ],\n \"screenshot\": true,\n \"store\": true,\n \"storage_path\": \"batch\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"total": 123,
"accepted": 123,
"failed": 123,
"results": [
{
"index": 123,
"success": true,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusUrl": "<string>",
"error": {
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
},
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": true,
"total": 123,
"accepted": 123,
"failed": 123,
"results": [
{
"index": 123,
"success": true,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusUrl": "<string>",
"error": {
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
},
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 100 elementsPattern:
^https?://Minimum string length:
1Available options:
jpg, png Required range:
1 <= x <= 100Required range:
320 <= x <= 3840Required range:
240 <= x <= 2160Available options:
light, dark Required range:
10 <= x <= 60Available options:
load, domcontentloaded, networkidle0, networkidle2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
b2, s3, r2 ⌘I